/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TApplication.h"
#include "TMainForm.h"
//---------------------------------------------------------------------
TApplication::TApplication() : pMainWindow(0)
{
}
//---------------------------------------------------------------------
TApplication::~TApplication()
{
}
//---------------------------------------------------------------------
void TApplication::initialise(const String& sCommandLine)
{
    pMainWindow = new TMainForm(); // Создаём главное окно программы
}
//---------------------------------------------------------------------
void TApplication::shutdown()
{
    if(pMainWindow != 0) delete pMainWindow;
}
//---------------------------------------------------------------------
void TApplication::systemRequestedQuit()
{
    quit(); // Завершаем работу приложения
}
//---------------------------------------------------------------------
const String TApplication::getApplicationName()
{
    // Задаём имя приложения 
    // (будет отображаться в заголовке главного окна)
    return "Juce Toolbar Demo";
}
//---------------------------------------------------------------------
const String TApplication::getApplicationVersion()
{
    // Получаем версию приложения из опций проекта
    return ProjectInfo::versionString;
}
//---------------------------------------------------------------------
bool TApplication::moreThanOneInstanceAllowed()
{
    // Запрещаем запуск более одного экземпляра приложения
    return false;
}
//---------------------------------------------------------------------
